Bug 705784 - [abrt] oox::drawingml::Shape::applyShapeReference
[abrt] oox::drawingml::Shape::applyShapeReference
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
abrt_hash:81a5c685cbe4956bba964756e31...
:
: 706076 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 09:14 EDT by Michal Hlavinka
Modified: 2011-06-30 17:03 EDT (History)
5 users (show)

See Also:
Fixed In Version: libreoffice-3.3.2.2-9.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-07 00:27:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dsos (21.79 KB, text/plain)
2011-05-18 09:14 EDT, Michal Hlavinka
no flags Details
File: backtrace (222.56 KB, text/plain)
2011-05-18 09:14 EDT, Michal Hlavinka
no flags Details
File: maps (81.37 KB, text/plain)
2011-05-18 09:14 EDT, Michal Hlavinka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 36203 None None None Never

  None (edit)
Description Michal Hlavinka 2011-05-18 09:14:24 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        /usr/lib64/libreoffice/program/soffice.bin -splash-pipe=5
comment:        happened during file.ppsx import
component:      libreoffice
crash_function: size
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         2.6.38.6-27.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-core-3.3.2.2-7.fc15
rating:         4
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Wed May 18 14:15:05 2011
uid:            500
username:       mhlavink

backtrace:      Text file, 227901 bytes
dsos:           Text file, 22308 bytes
maps:           Text file, 83327 bytes

environ:
:SSH_AGENT_PID=1906
:XDG_SESSION_ID=1
:KDE_MULTIHEAD=false
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=krles.brq.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/gpg-QnzspE/S.gpg-agent:1957:1
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=36f09a46d53cfeb70b2d2ec10000000b-1305626642.565726-722551967
:XDM_MANAGED=method=classic
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/mhlavink/.gtkrc-2.0:/home/mhlavink/.gtkrc-2.0-kde4:/home/mhlavink/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/mhlavink/.gtkrc::/home/mhlavink/.kde/share/config/gtkrc
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-2jroBW
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=mhlavink
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64
:SSH_AUTH_SOCK=/tmp/ssh-XxTVaI1790/agent.1790
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2007,unix/unix:/tmp/.ICE-unix/2007
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/mhlavink/.scripts
:MAIL=/var/spool/mail/mhlavink
:QT_IM_MODULE=xim
:PWD=/home/mhlavink
:XMODIFIERS=@im=none
:KDE_SESSION_UID=500
:GNOME_KEYRING_PID=1788
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:SHLVL=3
:HOME=/home/mhlavink
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=dmz-aa
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=mhlavink
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6gE90RIkjW,guid=b2cdcd9bed56677f2683b5690000005d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mhlavink
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/mhlavink/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-mhlavink/xauth-500-_0
:_=/usr/lib64/libreoffice/program/oosplash.bin

event_log:
:2011-05-18-14:26:51> Analyzing crash data
:2011-05-18-14:27:02  Analyzing crash data
:2011-05-18-14:27:13  Analyzing crash data
:2011-05-18-14:27:23  Analyzing crash data
:2011-05-18-14:27:34  Analyzing crash data
:2011-05-18-14:27:44  Analyzing crash data
:2011-05-18-14:27:54  Analyzing crash data
:2011-05-18-14:28:05  Analyzing crash data
:2011-05-18-14:28:15  Analyzing crash data
:2011-05-18-14:28:25  Analyzing crash data
:2011-05-18-14:28:36  Analyzing crash data
:2011-05-18-14:28:46  Analyzing crash data
:2011-05-18-14:28:56  Analyzing crash data
:2011-05-18-14:29:06  Analyzing crash data
:2011-05-18-14:29:17  Analyzing crash data
:2011-05-18-14:29:27  Analyzing crash data
:2011-05-18-14:29:37  Analyzing crash data
:2011-05-18-14:29:48  Analyzing crash data
:2011-05-18-14:29:58  Analyzing crash data
:2011-05-18-14:30:08  Analyzing crash data
:2011-05-18-14:30:19  Analyzing crash data
:2011-05-18-14:30:29  Analyzing crash data
:2011-05-18-14:30:40  Analyzing crash data
:2011-05-18-14:30:50  Analyzing crash data
:2011-05-18-14:31:00  Analyzing crash data
:2011-05-18-14:31:11  Initializing virtual root
:2011-05-18-14:31:24  Initializing virtual root
:2011-05-18-14:31:34  Initializing virtual root
:2011-05-18-14:31:44  Initializing virtual root
:2011-05-18-14:31:54  Initializing virtual root
:2011-05-18-14:32:05  Initializing virtual root
:2011-05-18-14:32:15  Initializing virtual root
:2011-05-18-14:32:25  Initializing virtual root
:2011-05-18-14:32:35  Initializing virtual root
:2011-05-18-14:32:45  Initializing virtual root
:2011-05-18-14:32:56  Initializing virtual root
:2011-05-18-14:33:06  Initializing virtual root
:2011-05-18-14:33:16  Initializing virtual root
:2011-05-18-14:33:26  Initializing virtual root
:2011-05-18-14:33:37  Initializing virtual root
:2011-05-18-14:33:50  Initializing virtual root
:2011-05-18-14:34:00  Initializing virtual root
:2011-05-18-14:34:10  Initializing virtual root
:2011-05-18-14:34:21  Initializing virtual root
:2011-05-18-14:34:31  Initializing virtual root
:2011-05-18-14:34:41  Initializing virtual root
:2011-05-18-14:34:51  Initializing virtual root
:2011-05-18-14:35:02  Initializing virtual root
:2011-05-18-14:35:12  Initializing virtual root
:2011-05-18-14:35:22  Initializing virtual root
:2011-05-18-14:35:32  Initializing virtual root
:2011-05-18-14:35:43  Initializing virtual root
:2011-05-18-14:35:53  Initializing virtual root
:2011-05-18-14:36:03  Initializing virtual root
:2011-05-18-14:36:13  Initializing virtual root
:2011-05-18-14:36:24  Initializing virtual root
:2011-05-18-14:36:34  Initializing virtual root
:2011-05-18-14:36:44  Initializing virtual root
:2011-05-18-14:36:55  Initializing virtual root
:2011-05-18-14:37:05  Initializing virtual root
:2011-05-18-14:37:15  Initializing virtual root
:2011-05-18-14:37:25  Initializing virtual root
:2011-05-18-14:37:36  Initializing virtual root
:2011-05-18-14:37:46  Initializing virtual root
:2011-05-18-14:37:56  Initializing virtual root
:2011-05-18-14:38:06  Initializing virtual root
:2011-05-18-14:38:17  Initializing virtual root
:2011-05-18-14:38:27  Initializing virtual root
:2011-05-18-14:38:37  Initializing virtual root
:2011-05-18-14:38:47  Initializing virtual root
:2011-05-18-14:38:58  Initializing virtual root
:2011-05-18-14:39:08  Initializing virtual root
:2011-05-18-14:39:18  Initializing virtual root
:2011-05-18-14:39:28  Initializing virtual root
:2011-05-18-14:39:38  Initializing virtual root
:2011-05-18-14:39:49  Initializing virtual root
:2011-05-18-14:39:59  Initializing virtual root
:2011-05-18-14:40:09  Initializing virtual root
:2011-05-18-14:40:19  Initializing virtual root
:2011-05-18-14:40:29  Initializing virtual root
:2011-05-18-14:40:40  Initializing virtual root
:2011-05-18-14:40:50  Initializing virtual root
:2011-05-18-14:41:00  Initializing virtual root
:2011-05-18-14:41:11  Initializing virtual root
:2011-05-18-14:41:21  Initializing virtual root
:2011-05-18-14:41:31  Initializing virtual root
:2011-05-18-14:41:41  Initializing virtual root
:2011-05-18-14:41:52  Initializing virtual root
:2011-05-18-14:42:02  Initializing virtual root
:2011-05-18-14:42:12  Initializing virtual root
:2011-05-18-14:42:23  Initializing virtual root
:2011-05-18-14:42:33  Initializing virtual root
:2011-05-18-14:42:43  Initializing virtual root
:2011-05-18-14:42:53  Initializing virtual root
:2011-05-18-14:43:03  Initializing virtual root
:2011-05-18-14:43:14  Initializing virtual root
:2011-05-18-14:43:24  Initializing virtual root
:2011-05-18-14:43:34  Initializing virtual root
:2011-05-18-14:43:44  Initializing virtual root
:2011-05-18-14:43:55  Initializing virtual root
:2011-05-18-14:44:05  Initializing virtual root
:2011-05-18-14:44:15  Initializing virtual root
:2011-05-18-14:44:25  Initializing virtual root
:2011-05-18-14:44:36  Initializing virtual root
:2011-05-18-14:44:46  Initializing virtual root
:2011-05-18-14:44:56  Initializing virtual root
:2011-05-18-14:45:06  Initializing virtual root
:2011-05-18-14:45:17  Initializing virtual root
:2011-05-18-14:45:27  Initializing virtual root
:2011-05-18-14:45:37  Initializing virtual root
:2011-05-18-14:45:47  Initializing virtual root
:2011-05-18-14:45:58  Initializing virtual root
:2011-05-18-14:46:08  Initializing virtual root
:2011-05-18-14:46:18  Initializing virtual root
:2011-05-18-14:46:28  Initializing virtual root
:2011-05-18-14:46:39  Initializing virtual root
:2011-05-18-14:46:49  Initializing virtual root
:2011-05-18-14:46:59  Initializing virtual root
:2011-05-18-14:47:09  Initializing virtual root
:2011-05-18-14:47:20  Initializing virtual root
:2011-05-18-14:47:30  Initializing virtual root
:2011-05-18-14:47:40  Initializing virtual root
:2011-05-18-14:47:51  Initializing virtual root
:2011-05-18-14:48:01  Initializing virtual root
:2011-05-18-14:48:11  Initializing virtual root
:2011-05-18-14:48:22  Initializing virtual root
:2011-05-18-14:48:32  Initializing virtual root
:2011-05-18-14:48:42  Initializing virtual root
:2011-05-18-14:48:52  Initializing virtual root
:2011-05-18-14:49:03  Initializing virtual root
:2011-05-18-14:49:13  Initializing virtual root
:2011-05-18-14:49:23  Initializing virtual root
:2011-05-18-14:49:34  Initializing virtual root
:2011-05-18-14:49:44  Initializing virtual root
:2011-05-18-14:49:54  Initializing virtual root
:2011-05-18-14:50:04  Initializing virtual root
:2011-05-18-14:50:14  Initializing virtual root
:2011-05-18-14:50:25  Initializing virtual root
:2011-05-18-14:50:35  Initializing virtual root
:2011-05-18-14:50:45  Initializing virtual root
:2011-05-18-14:50:55  Initializing virtual root
:2011-05-18-14:51:06  Initializing virtual root
:2011-05-18-14:51:16  Initializing virtual root
:2011-05-18-14:51:26  Initializing virtual root
:2011-05-18-14:51:36  Initializing virtual root
:2011-05-18-14:51:47  Initializing virtual root
:2011-05-18-14:51:57  Initializing virtual root
:2011-05-18-14:52:07  Initializing virtual root
:2011-05-18-14:52:17  Initializing virtual root
:2011-05-18-14:52:28  Initializing virtual root
:2011-05-18-14:52:38  Initializing virtual root
:2011-05-18-14:52:48  Initializing virtual root
:2011-05-18-14:52:58  Initializing virtual root
:2011-05-18-14:53:08  Initializing virtual root
:2011-05-18-14:53:19  Initializing virtual root
:2011-05-18-14:53:29  Initializing virtual root
:2011-05-18-14:53:39  Initializing virtual root
:2011-05-18-14:53:49  Initializing virtual root
:2011-05-18-14:53:59  Initializing virtual root
:2011-05-18-14:54:10  Initializing virtual root
:2011-05-18-14:54:20  Initializing virtual root
:2011-05-18-14:54:30  Initializing virtual root
:2011-05-18-14:54:40  Initializing virtual root
:2011-05-18-14:54:51  Initializing virtual root
:2011-05-18-14:55:01  Initializing virtual root
:2011-05-18-14:55:11  Initializing virtual root
:2011-05-18-14:55:21  Initializing virtual root
:2011-05-18-14:55:32  Initializing virtual root
:2011-05-18-14:55:42  Initializing virtual root
:2011-05-18-14:55:52  Initializing virtual root
:2011-05-18-14:56:02  Initializing virtual root
:2011-05-18-14:56:13  Initializing virtual root
:2011-05-18-14:56:23  Initializing virtual root
:2011-05-18-14:56:33  Initializing virtual root
:2011-05-18-14:56:43  Initializing virtual root
:2011-05-18-14:56:54  Initializing virtual root
:2011-05-18-14:57:04  Initializing virtual root
:2011-05-18-14:57:14  Initializing virtual root
:2011-05-18-14:57:25  Initializing virtual root
:2011-05-18-14:57:35  Initializing virtual root
:2011-05-18-14:57:45  Initializing virtual root
:2011-05-18-14:57:56  Initializing virtual root
:2011-05-18-14:58:06  Initializing virtual root
:2011-05-18-14:58:16  Initializing virtual root
:2011-05-18-14:58:26  Initializing virtual root
:2011-05-18-14:58:37  Initializing virtual root
:2011-05-18-14:58:47  Initializing virtual root
:2011-05-18-14:58:57  Initializing virtual root
:2011-05-18-14:59:07  Initializing virtual root
:2011-05-18-14:59:18  Initializing virtual root
:2011-05-18-14:59:28  Initializing virtual root
:2011-05-18-14:59:38  Initializing virtual root
:2011-05-18-14:59:48  Initializing virtual root
:2011-05-18-14:59:59  Initializing virtual root
:2011-05-18-15:00:09  Initializing virtual root
:2011-05-18-15:00:19  Initializing virtual root
:2011-05-18-15:00:30  Initializing virtual root
:2011-05-18-15:00:40  Initializing virtual root
:2011-05-18-15:00:50  Initializing virtual root
:2011-05-18-15:01:00  Initializing virtual root
:2011-05-18-15:01:11  Initializing virtual root
:2011-05-18-15:01:21  Initializing virtual root
:2011-05-18-15:01:31  Initializing virtual root
:2011-05-18-15:01:41  Initializing virtual root
:2011-05-18-15:01:52  Initializing virtual root
:2011-05-18-15:02:02  Initializing virtual root
:2011-05-18-15:02:12  Initializing virtual root
:2011-05-18-15:02:22  Initializing virtual root
:2011-05-18-15:02:33  Initializing virtual root
:2011-05-18-15:02:43  Initializing virtual root
:2011-05-18-15:02:53  Initializing virtual root
:2011-05-18-15:03:03  Initializing virtual root
:2011-05-18-15:03:14  Generating backtrace
:2011-05-18-15:03:24  Generating backtrace
:2011-05-18-15:03:34  Generating backtrace
:2011-05-18-15:03:45  Cleaning up virtual root
:2011-05-18-15:03:55  Cleaning up virtual root
:2011-05-18-15:04:05  Retrace job finished successfully
Comment 1 Michal Hlavinka 2011-05-18 09:14:28 EDT
Created attachment 499594 [details]
File: dsos
Comment 2 Michal Hlavinka 2011-05-18 09:14:31 EDT
Created attachment 499595 [details]
File: backtrace
Comment 3 Michal Hlavinka 2011-05-18 09:14:34 EDT
Created attachment 499596 [details]
File: maps
Comment 4 David Tardon 2011-05-18 11:41:18 EDT
Could you attach the .ppsx file here?
Comment 5 Michal Hlavinka 2011-05-19 03:27:43 EDT
(In reply to comment #4)
> Could you attach the .ppsx file here?

I've uploaded that file (38 MB) here: 
http://mihlit.cz/bz/rh/705784/onem_ptac_integum.ppsx
Comment 6 David Tardon 2011-05-24 06:07:38 EDT
does not crash with 3.4 RC1
Comment 7 David Tardon 2011-05-26 04:30:53 EDT
will be in libreoffice-3.3.2.2-9.fc15
Comment 8 Fedora Update System 2011-05-31 04:14:15 EDT
libreoffice-3.3.2.2-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-9.fc15
Comment 9 Fedora Update System 2011-06-02 14:53:18 EDT
Package libreoffice-3.3.2.2-9.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.2.2-9.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-9.fc15
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2011-06-07 00:27:01 EDT
libreoffice-3.3.2.2-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Caolan McNamara 2011-06-07 09:00:13 EDT
*** Bug 706076 has been marked as a duplicate of this bug. ***
Comment 12 Milan Bouchet-Valat 2011-06-30 17:03:32 EDT
FWIW, it happened to me with 3.3.3.1-1fc15 while copying a paragraph style from one ODT document to another. ABRT said it was a duplicate, but I that's probably because the trace is of very poor quality. Just noting this here in case it happens to somebody else.

Note You need to log in before you can comment on or make changes to this bug.